Package nl.tudelft.simulation.examples.dsol.mm1queue

## Class Customer

- java.lang.Object
- - nl.tudelft.simulation.examples.dsol.mm1queue.Customer

    public class Customer
    extends Object

A truly basic customer for the DSOL framework.
Copyright (c) 2003-2019 Delft University of Technology , the Netherlands.
See for project information www.simulation.tudelft.nl
License of use: General Public License (GPL) , no warranty

Author:
  Peter Jacobs

### Constructor Summary

Constructors
`Customer()` constructs a new Customer.

### Method Summary

All Methods Instance Methods Concrete Methods
`double` `getEntranceTime()` returns the time this customer entered the queue.
`void` `setEntranceTime​(double time)` sets the entrance time of the customer to the queue.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Customer

    public Customer()

constructs a new Customer.

### Method Detail

#### setEntranceTime

    public final void setEntranceTime​(double time)

sets the entrance time of the customer to the queue.

Parameters:
  `time` - double; the entranceTime

#### getEntranceTime

    public final double getEntranceTime()

returns the time this customer entered the queue.

Returns:
  double the entranceTime